Skip to main content
GET
/
v1
/
orgs
/
{org_id}
/
agents
/
{agent_id}
/
memories
List Memories
curl --request GET \
  --url https://api.letpiper.com/v1/orgs/{org_id}/agents/{agent_id}/memories \
  --header 'Authorization: Bearer <token>'
{
  "memories": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "content": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "scope": "agent",
      "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Path Parameters

org_id
string<uuid>
required
agent_id
string<uuid>
required

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0
session_id
string<uuid> | null

Response

Successful Response

Paginated list of agent memories.

memories
MemoryRead · object[]
required
total
integer
required